Subject: Re: [Mingw-users] Re: make: strip command can't find file
From: "Shing-Fat (Fred) Ma" <[email-masked]>
To: Danny Smith <[email-masked]>
Cc: MU List <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 09 Nov 2001 11:56:48 -0500

Actually, my first attempt was with the cygwin environment, with no
mingw.  It compiled and installed OK, but didn't work,.
I was advised to using mingw.  That's how I got here.
Apparently, mingw uses windows DLL while cygwin
uses.....something else.  I'm a hardware guy (a wannabee, actually!)
learning all this stuff to get CAD tools on my laptop, so I can't speak
informatively just yet.  Been doing lots of surfing and reading though.
I will keep your suggestion in mind about Nmake, but having limited
time to absorb all this, I'll probably be looking into that a bit later
(my own problem, of course).

The really perplexing thing is that it fails even if full dos file path
is used (and provided to the install command).  I wonder if "./" in
"./ivl.exe" is being translated into a cygwin path.  Anyway gonna
keep looking for info and trying different ways whenever I can
until something works.

Fred

--------------------------------------------------------------------------
Fred Ma
Department of Electronics
Carleton University, Mackenzie Building
1125 Colonel By Drive
Ottawa, Ontario
Canada     K1S 5B6
[email-masked]
==========================================================================

Danny Smith wrote:

> > >      /usr/bin/install -c ./ivl.exe /usr/local/lib/ivl/ivl.exe
> > >      process_begin: CreateProcess((null), /usr/bin/install -c ./ivl.exe
> > /usr/local/lib/ivl/ivl.exe, ...) failed.
> > >      make (e=2): The system cannot find the file specified.
>
> I've had similar problems with mingw version of make executing cygwin
> install, so what I do is use cygwin make when I use cygwin install.  There
> are a few bugs in mingw release of make, especially on W9x and WinME.  The
> source is available so feel free to fix them.  Cygwin version of make is
> more robust when calling cygwin tools.  Nmake is more robust when calling
> MS tools.
>
> Danny
>
> http://briefcase.yahoo.com.au - Yahoo! Briefcase
> - Manage your files online.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/